summaryrefslogtreecommitdiff
path: root/dev-ruby/dnsruby/dnsruby-1.72.3.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-20 18:46:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-11-20 18:46:53 +0000
commitea2eede9f4e2e1ef68927b1fdbac837214e7e6b1 (patch)
tree07fb740ff0a6bb5d2976099f0f53463380a60b53 /dev-ruby/dnsruby/dnsruby-1.72.3.ebuild
parentb3536c9fc33b0a41869935baf5e148443fc0f95e (diff)
downloadsrcux-ea2eede9f4e2e1ef68927b1fdbac837214e7e6b1.tar.gz
srcux-ea2eede9f4e2e1ef68927b1fdbac837214e7e6b1.tar.xz
srcux-ea2eede9f4e2e1ef68927b1fdbac837214e7e6b1.zip
Adding metadata
Diffstat (limited to 'dev-ruby/dnsruby/dnsruby-1.72.3.ebuild')
-rw-r--r--dev-ruby/dnsruby/dnsruby-1.72.3.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-ruby/dnsruby/dnsruby-1.72.3.ebuild b/dev-ruby/dnsruby/dnsruby-1.72.3.ebuild
new file mode 100644
index 000000000000..7b5fdc0749a6
--- /dev/null
+++ b/dev-ruby/dnsruby/dnsruby-1.72.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_DOCDIR="html"
+RUBY_FAKEGEM_EXTRADOC="DNSSEC EXAMPLES README.md"
+inherit ruby-fakegem
+
+DESCRIPTION="A pure Ruby DNS client library"
+HOMEPAGE="https://github.com/alexdalitz/dnsruby"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+ruby_add_rdepend "dev-ruby/base64:0.2 >=dev-ruby/simpleidn-0.2.1:0 =dev-ruby/simpleidn-0.2*:0"
+
+ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.4:5 )"
+
+all_ruby_prepare() {
+ sed -i -e "/[Cc]overall/d" Rakefile || die
+ sed -i -e '/display/d' \
+ -e '/Display/,/^}/d' test/spec_helper.rb || die
+}
+
+each_ruby_test() {
+ # only run offline tests
+ # ${RUBY} -I .:lib test/ts_dnsruby.rb || die "test failed"
+ ${RUBY} -I .:lib test/ts_offline.rb || die "test failed"
+}